function crudCommonOptions() {
    return {
        affixHeader: false,
        stopAutoRefreshWhenModalIsOpen: true,
        resizable: false,
        syncLocation: false,
        silentPolling: true,
    }
}

function horizontalFormOptions() {
    return {
        mode: 'horizontal',
        canAccessSuperData: false,
        horizontal: {
            left: 1,
        },
    }
}

function formInputClearable() {
    return {
        clearable: true,
        clearValueOnEmpty: true,
    }
}

function paginationOption() {
    return {
        type: 'pagination',
        mode: 'normal',
        layout: 'total,perPage,pager',
        maxButtons: 5,
        showPageInput: false,
    }
}
